import {
  createActionStructure,
  createAsyncStructure,
  createResourceStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  ...createResourceStructure(`${constants.prefix}`),
  finaliseCheckoutWithStripe: createAsyncStructure(`${constants.prefix}_finalise_checkout`),
  current: createAsyncStructure(`${constants.prefix}_current`),
};

export default actions;
